Create an upload for an image or file cell
import requests
url = "https://app.langwatch.ai/api/v1/dataset/attachments/uploads"
payload = {
"filename": "<string>",
"mediaType": "<string>",
"byteLength": 4503599627370495
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', mediaType: '<string>', byteLength: 4503599627370495})
};
fetch('https://app.langwatch.ai/api/v1/dataset/attachments/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.langwatch.ai/api/v1/dataset/attachments/uploads \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"filename": "<string>",
"mediaType": "<string>",
"byteLength": 4503599627370495
}
'{
"objectId": "<string>",
"uploadUrl": "<string>",
"method": "PUT",
"expiresAt": "<string>",
"headers": {}
}This response has no body data.This response has no body data.This response has no body data.Datasets
Create an upload for an image or file cell
Answers the address to PUT the file to. After the PUT, confirm the upload at POST /api/v1/stored-objects/uploads/{objectId}/confirmation, then write /api/files/{projectId}/{objectId}/{filename} into the cell.
POST
/
api
/
v1
/
dataset
/
attachments
/
uploads
Create an upload for an image or file cell
import requests
url = "https://app.langwatch.ai/api/v1/dataset/attachments/uploads"
payload = {
"filename": "<string>",
"mediaType": "<string>",
"byteLength": 4503599627370495
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', mediaType: '<string>', byteLength: 4503599627370495})
};
fetch('https://app.langwatch.ai/api/v1/dataset/attachments/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.langwatch.ai/api/v1/dataset/attachments/uploads \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"filename": "<string>",
"mediaType": "<string>",
"byteLength": 4503599627370495
}
'{
"objectId": "<string>",
"uploadUrl": "<string>",
"method": "PUT",
"expiresAt": "<string>",
"headers": {}
}This response has no body data.This response has no body data.This response has no body data.Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Body
application/json
Last modified on October 12, 2026
Was this page helpful?